# babel-origin [![license | Public Domain](https://img.shields.io/badge/license-Public_Domain-blue.svg)](https://creativecommons.org/publicdomain/zero/1.0)

> :european_castle: Babel sensible configuration for seamless integration

[babel-origin](https://github.com/aymericbeaumet/babel-origin) allows for easy babel configuration, similar to how it used to be set back in the time of Babel 5.

Working out of the box:
- [Latest ES](https://babeljs.io/docs/plugins/preset-latest/)
- [Stage 0](https://babeljs.io/docs/plugins/preset-stage-0/)
- [React](https://facebook.github.io/react/) with [JSX](https://facebook.github.io/jsx/)
- [Jest](https://github.com/facebook/jest)
- [CommonJS modules](https://babeljs.io/docs/plugins/transform-es2015-modules-commonjs/)

Also the Babel configuration is exposed in a standard way, so all the external tools will be able to use it:
- [Webpack](https://webpack.github.io/)

You keep the control as you can still extend this configuation!

All of this with a *single line of code*!

## Installation

```bash
$ npm install -D babel-origin
```

## Usage

Add the following to your `package.json`:

```json
{
  "scripts": {
    "test": "jest",
    "prepublish": "babel src --out-dir=lib"
  },
  "babel": { "extends": "babel-origin" },
}
```

## Issues

If you face any issue, please report it on the [bug
tracker](https://github.com/aymericbeaumet/babel-origin/issues].

## Contributing

If you want to improve this software by adding new features, or fixing bugs,
please [fork the project](https://github.com/aymericbeaumet/babel-origin)
and create a [pull
Fequest](https://github.com/aymericbeaumet/babel-origin/pulls).

## Changelog


- 1.0.0
  - Stable version

## License

[Creative Commons — CC0 1.0 Universal](http://creativecommons.org/publicdomain/zero/1.0)

To the extent possible under law, [Aymeric Beaumet](https://aymericbeaumet.com)
has waived all copyright and related or neighboring rights to this work.

